#
# ex4: word frequency counter
#

import collections

try:
    fh = open("c:/temp/input.txt", "r", encoding="ascii")
except Exception as e:
    print("Can't open my file: %s" % e)
    quit()

numWords = 0
wordFreq = collections.Counter()
for line in fh:
    words = line.split(" ")
    for word in words:
        wordFreq[word.strip() ] += 1
    numWords = numWords + len(words)
    print("%s" % line, end="")
fh.close()
print("Found %d words" % numWords)
for word in sorted(wordFreq):
    print("%s occured %d times" % (word, wordFreq[word]) )
print("-------------------")
for word in sorted(wordFreq, key=wordFreq.get, reverse=True):
    print("%s occured %d times" % (word, wordFreq[word]) )
