#!/usr/bin/env python3
#  Excercise #11: weather API module (weather_api.py)
import json
import requests

def weather_report(url: str, location: str):
    params = {"q" : location , "units": "imperial", "appid": "f4aa6305ea8940b3f24bb23c6b0fe4c3"}
    rq = requests.get(url, params)
    jd = json.loads(rq.text)
    high_temp = float(jd['main']['temp_max'])
    low_temp = float(jd['main']['temp_min'])
    return location, low_temp, high_temp

